# Retrieve Technical Accounts
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/query-cms-get-particular-data/retrieve-technical-acc/index.md

## Overview {#overview}

This use case describes how you fetch a list of technical accounts linked to the specified contract in the CMS.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-technical-acc

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/technical-accounts` endpoint to fetch a list of technical accounts associated with the `contract_id` in the CMS. Note: The server must use `accountContractId` or `cardContractId` in place of `contract_id` in the path to fetch the technical accounts for the account contract or card contract, respectively.
2. The API returns details for each technical account linked to the `contract_id` in the CMS. Refer to [Endpoint](https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/query-cms-get-particular-data/retrieve-technical-acc/index.md#endpoint) to check the complete list of data returned by the endpoint. Tip: Optionally using query parameter `technical_account_code` you can limit the returned data only to the specified technical account. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-technical-acc/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/technical-accounts`

